APACHE POI 4.1.0 compilation on windows 10 with Openjdk10.0.1 version

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

APACHE POI 4.1.0 compilation on windows 10 with Openjdk10.0.1 version

Sharath B.K
Hi,
    We are trying to compile the Apache POI 4.1.0 source code on the
windows 10 machine and i am getting the following error. Please help

fetch-ooxml-xsds:
      [get] Destination already exists (skipping):
D:\Softwares\poi-src-4.1.0-20190412\poi-4.1.0\ooxml-lib\OfficeOpenXML-Part4.zip
      [get] Destination already exists (skipping):
D:\Softwares\poi-src-4.1.0-20190412\poi-4.1.0\ooxml-lib\OfficeOpenXML-Part2.zip
      [get] Getting:
https://www.w3.org/TR/2002/REC-xmldsig-core-20020212/xmldsig-core-schema.xsd
      [get] To:
D:\Softwares\poi-src-4.1.0-20190412\poi-4.1.0\ooxml-lib\xmldsig-core-schema.xsd
      [get] Error getting
https://www.w3.org/TR/2002/REC-xmldsig-core-20020212/xmldsig-core-schema.xsd
to
D:\Softwares\poi-src-4.1.0-20190412\poi-4.1.0\ooxml-lib\xmldsig-core-schema.xsd


*BUILD FAILEDD:\Softwares\poi-src-4.1.0-20190412\poi-4.1.0\build.xml:890:
javax.net.ssl.SSLException: java.lang.RuntimeException: Unexpected error:
java.security.InvalidAlgorithmParameterException: the trustAnchors
parameter must be non-empty*
        at
java.base/sun.security.ssl.Alerts.getSSLException(Alerts.java:214)
        at
java.base/sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1974)
        at
java.base/sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1926)
        at
java.base/sun.security.ssl.SSLSocketImpl.handleException(SSLSocketImpl.java:1909)
        at
java.base/sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1436)
        at
java.base/sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1413)
        at
java.base/sun.net.www.protocol.https.HttpsClient.afterConnect(HttpsClient.java:567)
        at
java.base/sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:185)
        at
java.base/sun.net.www.protocol.https.HttpsURLConnectionImpl.connect(HttpsURLConnectionImpl.java:163)
        at
org.apache.tools.ant.taskdefs.Get$GetThread.openConnection(Get.java:728)
        at org.apache.tools.ant.taskdefs.Get$GetThread.get(Get.java:641)
        at org.apache.tools.ant.taskdefs.Get$GetThread.run(Get.java:631)
Caused by: java.lang.RuntimeException: Unexpected error:
java.security.InvalidAlgorithmParameterException: the trustAnchors
parameter must be non-empty

Any help is appreciated on how to build this version. The build command is
as per the README.txt and the command is* ant jar*
--
with regards

sharath
Reply | Threaded
Open this post in threaded view
|

Re: APACHE POI 4.1.0 compilation on windows 10 with Openjdk10.0.1 version

kiwiwings
Hi,

please have a look at the FAQ entry "24. Can Apache POI be compiled/used
with Java 9 or Java 10?", i.e. Java 10 is not officially anymore supported.

Can you upgrade to OpenJdk 12 or higher? If yes, is it working for you?

Andi



--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-Dev-f2312866.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]